#version 430 core 

/**
* Vertex shader to render
*/


layout (location=0) in vec4 Position;

uniform mat4 ModelViewMatrix;

out vData{
	float TTL1;
	//TODO: additional vertex data goew here!
} vertex;


void main()
{    
	gl_Position = ModelViewMatrix * vec4(Position.xyz,1.0f);
	vertex.TTL1 = Position.w;
} 